﻿using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace Post7761.ViewModel
{
    public class MapViewModel
    {
        public MapViewModel()
        {
            Map = new WpfMap();
            Map.Loaded += new System.Windows.RoutedEventHandler(Map_Loaded);
        }

        private void Map_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            Map.MapUnit = GeographyUnit.DecimalDegree;
            Map.CurrentExtent = new RectangleShape(-130, 90, 130, -90);

            WorldMapKitWmsWpfOverlay worldOverlay = new WorldMapKitWmsWpfOverlay();
            Map.Overlays.Add("WorldOverlay", worldOverlay);
        }

        public WpfMap Map { get; set; }
    }
}
